package python3-pyatspi (not installed) failed to install/upgrade: trying to overwrite '/usr/lib/python3/dist-packages/pyatspi/editabletext.py', which is also in package python3-pyatspi2 2.7.2+dfsg-0ubuntu1

Bug #1119426 reported by Anmar Oueja
136
This bug affects 29 people
Affects Status Importance Assigned to Milestone
pyatspi (Ubuntu)
Fix Released
High
Sebastien Bacher
Raring
Fix Released
High
Sebastien Bacher

Bug Description

did the usual daily update via the GUI updater.

ProblemType: Package
DistroRelease: Ubuntu 13.04
Package: python3-pyatspi (not installed)
ProcVersionSignature: Ubuntu 3.8.0-5.10-generic 3.8.0-rc6
Uname: Linux 3.8.0-5-generic x86_64
ApportVersion: 2.8-0ubuntu4
Architecture: amd64
Date: Fri Feb 8 09:04:31 2013
DuplicateSignature:
 Unpacking python3-pyatspi (from .../python3-pyatspi_2.7.2+dfsg-2_all.deb) ...
 dpkg: error processing /var/cache/apt/archives/python3-pyatspi_2.7.2+dfsg-2_all.deb (--unpack):
  trying to overwrite '/usr/lib/python3/dist-packages/pyatspi/editabletext.py', which is also in package python3-pyatspi2 2.7.2+dfsg-0ubuntu1
ErrorMessage: trying to overwrite '/usr/lib/python3/dist-packages/pyatspi/editabletext.py', which is also in package python3-pyatspi2 2.7.2+dfsg-0ubuntu1
InstallationDate: Installed on 2013-01-27 (12 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Alpha amd64 (20130126)
MarkForUpload: True
SourcePackage: pyatspi
Title: package python3-pyatspi (not installed) failed to install/upgrade: trying to overwrite '/usr/lib/python3/dist-packages/pyatspi/editabletext.py', which is also in package python3-pyatspi2 2.7.2+dfsg-0ubuntu1
UpgradeStatus: No upgrade log present (probably fresh install)

Revision history for this message
Anmar Oueja (anmar) wrote :
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in pyatspi (Ubuntu):
status: New → Confirmed
Michael Terry (mterry)
Changed in pyatspi (Ubuntu):
assignee: nobody → Sebastien Bacher (seb128)
Matthias Klose (doko)
Changed in pyatspi (Ubuntu):
importance: Undecided → High
milestone: none → ubuntu-13.04-alpha-2
Changed in pyatspi (Ubuntu Raring):
status: Confirmed → Fix Committed
Revision history for this message
Cavsfan (cavsfan) wrote :

I just received this error while trying to update my system:
Unpacking python3-pyatspi (from .../python3-pyatspi_2.7.2+dfsg-2_all.deb) ...
dpkg: error processing /var/cache/apt/archives/python3-pyatspi_2.7.2+dfsg-2_all.deb (--unpack):
 trying to overwrite '/usr/lib/python3/dist-packages/pyatspi/editabletext.py', which is also in package python3-pyatspi2 2.7.2+dfsg-0ubuntu1
Preparing to replace python3-pyatspi2 2.7.2+dfsg-0ubuntu1 (using .../python3-pyatspi2_2.7.2+dfsg-2_all.deb) ...
Unpacking replacement python3-pyatspi2 ...
Errors were encountered while processing:
 /var/cache/apt/archives/python3-pyatspi_2.7.2+dfsg-2_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Revision history for this message
Cavsfan (cavsfan) wrote :

I was able to get around this error by entering in terminal - sudo apt-get -f install
Both packages installed:
python3-pyatspi (2.7.2+dfsg-2)
python3-pyatspi2 (2.7.2+dfsg-2)

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pyatspi - 2.7.2+dfsg-2ubuntu1

---------------
pyatspi (2.7.2+dfsg-2ubuntu1) raring; urgency=low

  * debian/control: updated transition version (lp: #1119426)
 -- Sebastien Bacher <email address hidden> Fri, 08 Feb 2013 18:08:46 +0100

Changed in pyatspi (Ubuntu Raring):
status: Fix Committed → Fix Released
Revision history for this message
Hans Joachim Desserud (hjd) wrote :

Bug 1120184 seems to have run into this issue with version 2.7.2+dfsg-2ubuntu1. Is that expected?

Revision history for this message
gonzalo lopez sanz (iphonete) wrote :

Kubuntu 13.04

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers